## vdr-plugin-dvbsddevice 2.2.0

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile 4.0 2014/01/01 13:29:54 kls Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = dvbsddevice

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o dvbsdffdevice.o dvbsdffosd.o

### The main target:

all: $(SOFILE)

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

$(SOFILE): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== debian/changelog ===
vdr-plugin-dvbsddevice (2.2.0-16) unstable; urgency=medium

  * rebuild agains vdr 2.6.9 (closes: #1095908, #1095910)

 -- Christoph Martin <chrism@debian.org>  Fri, 14 Feb 2025 17:14:26 +0100

vdr-plugin-dvbsddevice (2.2.0-15) unstable; urgency=medium

  * Build-depend on vdr 2.6.0 and update standards version to 4.6.0

 -- Tobias Grimm <etobi@debian.org>  Wed, 05 Jan 2022 21:48:03 +0100

vdr-plugin-dvbsddevice (2.2.0-14) unstable; urgency=medium

  * Depend on debhelper-compat (= 13)
  * Build-Depend on vdr >= 2.4.7
  * Update debian/watch to version 4

 -- Tobias Grimm <etobi@debian.org>  Sun, 12 Dec 2021 19:40:26 +0100

vdr-plugin-dvbsddevice (2.2.0-13) unstable; urgency=medium

  * Standards-Version: 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 13:38:18 +0100

vdr-plugin-dvbsddevice (2.2.0-12) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Name.

 -- Tobias Grimm <etobi@debian.org>  Mon, 29 Jul 2019 19:24:09 +0200

vdr-plugin-dvbsddevice (2.2.0-11) unstable; urgency=medium

  * Made pkg-config configurable in Makefile to allow cross-builds
  * Standards-Version: 4.4.0

 -- Tobias Grimm <etobi@debian.org>  Sun, 28 Jul 2019 20:23:28 +0200

vdr-plugin-dvbsddevice (2.2.0-10) unstable; urgency=medium

  * Build-depend on vdr-dev >= 2.4.1

 -- Tobias Grimm <etobi@debian.org>  Thu, 18 Jul 2019 08:11:31 +0200

vdr-plugin-dvbsddevice (2.2.0-9) unstable; urgency=medium

  * VCS moved to salsa.debian.org
  * Replaced priority extra with optional
  * Build-depend on vdr-dev (>= 2.4.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Apr 2018 19:01:47 +0200

vdr-plugin-dvbsddevice (2.2.0-8) unstable; urgency=medium

  * Build-depend on vdr-dev >= 2.3.8

 -- Tobias Grimm <etobi@debian.org>  Tue, 15 Aug 2017 21:53:06 +0200

vdr-plugin-dvbsddevice (2.2.0-7) unstable; urgency=low

  * This plugin was shipped with VDR previously and is now a separate package.

 -- Tobias Grimm <etobi@debian.org>  Fri, 06 Jan 2017 21:36:49 +0100

=== debian/control ===
Source: vdr-plugin-dvbsddevice
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>
Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkg-config,
 linux-libc-dev (>= 3.0)
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-dvbsddevice.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-dvbsddevice
Homepage: http://www.tvdr.de/

Package: vdr-plugin-dvbsddevice
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Enhances: vdr
Description: Plugin that adds support for full featured SD-DVB cards to VDR
 Video Disk Recorder (VDR) is a digital sat-receiver program using
 Linux and DVB technologies. It allows one to record MPEG2 streams,
 as well as output the stream to TV.
 .
 This package contains the dvbsddevice-plugin, which implements the
 output device for the "Full Featured" DVB cards based on the
 TechnoTrend/Fujitsu-Siemens design.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with vdrplugin

override_dh_strip:
	dh_strip --dbgsym-migration='vdr-plugin-dvbsddevice-dbg (<< 2.2.0-6~)'

=== debian/watch ===
version=4
opts="mode=git, compression=gzip" \
 https://github.com/vdr-projects/vdr-plugin-dvbsddevice.git \
 refs/tags/[Vv]?(\d[\d\.]+) debian uupdate
